/******************************************************************************
 *{@C
 *      Copyright:      2005-2008 Paul Obermeier (obermeier@tcl3d.org)
 *
 *                      See the file "Tcl3D_License.txt" for information on
 *                      usage and redistribution of this file, and for a
 *                      DISCLAIMER OF ALL WARRANTIES.
 *
 *      Module:         Tcl3D -> tcl3dOglExt
 *      Filename:       wglext.i
 *
 *      Author:         Paul Obermeier
 *
 *      Description:    SWIG module for wrapping the platform specific
 *                      OpenGL extension library contained in files
 *                      wglext.h for Windows or glxext.h for X based systems.
 *
 *****************************************************************************/

%module wglext

%{
#if defined (WIN32)
    #include <windows.h>
    #include <wingdi.h>
#endif

#if defined (WIN32)
    #include "GL/wglext.h"
#endif
%}

%include tcl3dDefines.i

#define VOID void

%ignore HPBUFFERARB;
%ignore HPBUFFEREXT;
#if defined (WIN32)
%include "GL/wglext.h"
#endif

%{
#include "glprocs.h"
%}
