/******************************************************************************
 *{@C
 *      Copyright:      2005-2008 Paul Obermeier (obermeier@tcl3d.org)
 *
 *                      See the file "Tcl3D_License.txt" for information on
 *                      usage and redistribution of this file, and for a
 *                      DISCLAIMER OF ALL WARRANTIES.
 *
 *      Module:         Tcl3D -> tcl3dUtil
 *      Filename:       util.i
 *
 *      Author:         Paul Obermeier
 *
 *      Description:    SWIG file for wrapping the Tcl3D C utilities.
 *
 *****************************************************************************/

%{
#if defined (WIN32)
#include <windows.h>
#include <wingdi.h>
#endif
#include "GL/gl.h"
%}

%{
#include "tcl3dFractal.h"
#include "tcl3dPortable.h"
#include "tcl3dRandom.h"
#include "tcl3dModel.h"
#include "tcl3dModelFmtObj.h"
#include "tcl3dModelFmtSab.h"
#include "tcl3dModelFmtPof.h"
#include "tcl3dShapes.h"
#include "tcl3dStopWatch.h"
#include "tcl3dVecMath.h"
#include "tcl3dTrackball.h"
#include "tcl3dArcBall.h"
%}

%include tcl3dDefines.i
#define GLvoid void             // Needed for tcl3dModelFmtObj

%include "tcl3dFractal.h"
%include "tcl3dPortable.h"
%include "tcl3dRandom.h"
%include "tcl3dModel.h"
%include "tcl3dModelFmtObj.h"
%include "tcl3dModelFmtSab.h"
%include "tcl3dModelFmtPof.h"
%include "tcl3dShapes.h"
%include "tcl3dStopWatch.h"
%include "tcl3dVecMath.h"
%include "tcl3dTrackball.h"
%include "tcl3dArcBall.h"
